Subject: pkg/29722: make/gmake broken in latest pkgsrc?
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 03/17/2005 01:57:00
	Note: There was a bad value `' for the field `Priority'.
	It was set to the default value of `medium'.

>Number:         29722
>Category:       pkg
>Synopsis:       qt3-libs complains of lacking make/gmake
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Mar 17 01:57:00 +0000 2005
>Originator:     Patrice LaFlamme
>Release:        NetBSD 2.0
System: NetBSD 2.0 NetBSD 2.0 (Patrix) #0: Sun Mar 13 17:46:35 EST 2005 i386
Architecture: i386
Machine: i386
x11/qt3-libs fails since the past few days, it was ok in early march pkgsrc.
make and gmake are available of course. If I manually untar the qt-z11-free-3.3.4 arch
ive and try to ./configure myself, I get the same complaint about the lack of make or

:/usr/pkgsrc/x11/qt3-libs # make
===> *** No /usr/pkgsrc/distfiles/pkg-vulnerabilities file found,
===> *** skipping vulnerability checks. To fix, install
===> *** the pkgsrc/security/audit-packages package and run
===> *** '/usr/pkg/sbin/download-vulnerability-list'.
===> Configuring for qt3-libs-3.3.4
You don't seem to have 'make' or 'gmake' in your PATH.
Cannot proceed.
*** Error code 1

make: stopped in /usr/pkgsrc/x11/qt3-libs
===> There was an error during the ``configure'' phase.
===> Please investigate the following for more information:
===>      * log of the build
===>      * /usr/pkgsrc/x11/qt3-libs/work/.work.log
*** Error code 1

make: stopped in /usr/pkgsrc/x11/qt3-libs

Fresh install of NetBSD 2.0. Get pkgsrc.tar.gz, uncompress in /usr
Change to x11/q3-libs/ directory
type make install
Error will occure when qt3-libs compilation will begin.